# Class: oStencil

## $. oStencil

The $.oStencil class allows access to some of the settings, name and type of the stencils available in the Harmony UI.
Harmony stencils can have the following types: "pencil", "penciltemplate", "brush", "texture", "bitmapbrush" and "bitmaperaser". Each type is only available to specific tools.
Access the main size information of the brush with the mainBrushShape property.

#### new $.oStencil(xmlDescription)

openHarmony/openHarmony_drawing.js, line 545
  The constructor for the $.oStencil class.

  Name | Type | Description
  --- | --- | ---
  `xmlDescription` | string | the part of the penstyles.xml file between tags that describe a stencils.

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `name` | string | the display name of the stencil
  `type` | string | the type of stencil
  `mainBrushShape` | Object | the description of the shape of the stencil